Patches for aports can be sent to this list

[alpine-aports] [PATCH] main/pax-utils: compile with libcap support

Sören Tempel
Details
Message ID
<1455203873-26467-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1455203873
DKIM signature
missing
Download raw message
Patch: +3 -3
---
 main/pax-utils/APKBUILD | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/main/pax-utils/APKBUILD b/main/pax-utils/APKBUILD
index 8a45e5f..88cbfef 100644
--- a/main/pax-utils/APKBUILD
+++ b/main/pax-utils/APKBUILD
@@ -2,13 +2,13 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=pax-utils
 pkgver=1.1.5
-pkgrel=0
+pkgrel=1
 pkgdesc="ELF related utils for ELF 32/64 binaries"
 url="https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities"
 arch="all"
 license="GPL2"
 depends="scanelf"
-makedepends="linux-headers"
+makedepends="linux-headers libcap-dev"
 source="http://distfiles.gentoo.org/distfiles/${pkgname}-${pkgver}.tar.xz"
 subpackages="$pkgname-doc scanelf:_scanelf"
 
@@ -24,7 +24,7 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	make || return 1
+	make USE_CAP=yes || return 1
 }
 
 package() {
-- 
2.7.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---